// Generated by Selenium IDE
const { Builder, By, Key, until } = require('selenium-webdriver')
const assert = require('assert')

const filter = require('../../../helper_functions/filter_helper')
const list_helper = require('../../../helper_functions/list_helper')
const schedule_helper = require('../../../helper_functions/schedule_helper')

describe('Ist der Dozenten Filter ein Subset von dem Ergebnis ohne Dozentenfilter?', function () {
  this.timeout(30000)
  let driver
  let vars
  beforeEach(async function () {
    driver = await new Builder().forBrowser(require('../../../envHelpers').getBrowser()).build()
    vars = {}
  })
  afterEach(async function () {
    await driver.quit();
  })
  it('Ist der Dozenten Filter ein Subset von dem Ergebnis ohne Dozentenfilter?', async function () {
    await driver.get("http://advp44.gm.fh-koeln.de:8080/")

    await driver.manage().setTimeouts({ implicit: 3000 });

    await filter.setFilter(driver, filter.filter.TEACHING_UNIT, "Computer Science")
    await filter.setFilter(driver, filter.filter.STUDY_PROGRAM, "B.Sc. Computer Science (PO2)")
    await filter.setFilter(driver, filter.filter.SEMESTER, "1. Semester")

    const allModules = await schedule_helper.getAllScheduleModuleNames(driver)
    // console.log(await schedule_helper.getAllScheduleModuleNames(driver))
    // console.log(await schedule_helper.getAllScheduleProfs(driver))
    // console.log(await schedule_helper.getAllScheduleRooms(driver))

    //filter for prof
    await filter.setFilter(driver, filter.filter.PROF, "Frank Victor")
    const allModulesFiltered = await schedule_helper.getAllScheduleModuleNames(driver)

    // allModules Filteres needs to be a subset of allModules
    assert(list_helper.isSubset(allModulesFiltered, allModules))


  })
})
